--by susi&wing /giants
local modDirectory = g_currentModDirectory
function onLoadMapFinished(mission, node)  
    if node ~= 0 then     
        local priceMaize = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter				
        local boardsPalletHudFile = "hud/hud_fill_Bretter.png"
        local boardsPalletHudFileSmall = "hud/hud_fill_Bretter_sml.png"       		
	--	local BretterHeapDiffuse = Utils.getFilename("fillPlanes/Bretter_diffuse.png", modDirectory)
    --    local BretterHeapnormal  = Utils.getFilename("fillPlanes/Bretter_normal.png", modDirectory)  
    --    local BretterHeapdistance = Utils.getFilename("fillPlanes/distance/BretterDistance_diffuse.png", modDirectory)  
		
		local emptyPalletHudFile = "hud/hud_fill_emptyPallets.png"
        local emptyPalletHudFileSmall = "hud/hud_fill_emptyPallets_sml.png"       		
	--	local emptyPalletsHeapDiffuse = Utils.getFilename("fillPlanes/emptyPallets_diffuse.png", modDirectory)
   --     local emptyPalletsHeapnormal  = Utils.getFilename("fillPlanes/emptyPallets_normal.png", modDirectory)  
        local emptyPalletHeapdistance = Utils.getFilename("fillPlanes/distance/emptyPalletsDistance_diffuse.png", modDirectory)  
		      
		print("Register neuen filltype fuer Saegewerk/Palettenwerk:Bretter/Leerpaletten/boards/planches en bois/houten planken");
        local boardsPalletFilType = g_fillTypeManager:addFillType("BOARDSPALLET", g_i18n:getText("boardsPallet"), true, priceMaize * 1.1, 0.00045, math.rad(40), boardsPalletHudFile, boardsPalletHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local emptyPalletFilType = g_fillTypeManager:addFillType("EMPTYPALLET", g_i18n:getText("emptyPallet"), true, priceMaize * 1.1, 0.00045, math.rad(40), emptyPalletHudFile, emptyPalletHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
		local BOARDSPALLETCategory = {"LOADINGVEHICLE"}	
		for _,k in pairs(BOARDSPALLETCategory) do
			g_fillTypeManager:addFillTypeToCategory(boardsPalletFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		local EMPTYPALLETCategory = {"LOADINGVEHICLE"}
		for _,k in pairs(EMPTYPALLETCategory) do
			g_fillTypeManager:addFillTypeToCategory(emptyPalletFilType.index, g_fillTypeManager.nameToCategoryIndex[k])			
		end
		  g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
    end	
end	
function load(id, xmlFile, key,customEnvironment)
		local hasmaize =false
		local hasboardsPallet=false
        local hasemptyPallet=false			
		local object=id					
		if object == nil then
		else
		hasmaize =false
		hasboardsPallet=false
		hasemptyPallet=false
			for i,filltype in pairs(object.acceptedFillTypes) do
					
			local fillname=g_fillTypeManager.indexToName[i]
	
				if fillname == "MAIZE" then
					hasmaize=true								
				end;
				if fillname == "BOARDSPALLET" then
					hasboardsPallet=true								
				end;	
				if fillname == "EMPTYPALLET" then
					hasemptyPallet=true								
				end;	
			end;
				
				if hasmaize and not hasboardsPallet then
					--add BRETTER zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("BOARDSPALLET")
					local price = g_fillTypeManager:getFillTypeByName("BOARDSPALLET").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BOARDSPALLET")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;
				if hasmaize and not hasemptyPallet then
					--add emptyPallets zur SellingStation wo MAIZE nimmt
					local filltypen = g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLET")
					local price = g_fillTypeManager:getFillTypeByName("EMPTYPALLET").pricePerLiter
					object:addAcceptedFillType(filltypen,price,true,false)
					object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("EMPTYPALLET")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
					object:initPricingDynamics()
				end;		
		end
end

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)

